$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.13.24-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.13.24-BETA.msi'
  softwareName = 'Invantive Data Hub'
  checksum = 'BDBB361EEDA167BFDD6DE95EB7969663CC3F72AE0CD51987F7CE586C95CFDB5F'
  checksumType = 'sha256'
  checksum64 = 'BDBB361EEDA167BFDD6DE95EB7969663CC3F72AE0CD51987F7CE586C95CFDB5F'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-17.13.24-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
